Up

# NSNumber+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2003-2010 Free Software Foundation, Inc.

# Software documentation for the NSNumber(GNUstepBase) category

## NSNumber(GNUstepBase)

> Declared in:
>   GNUstepBase/NSNumber+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- +valueFromString:

### valueFromString:

+ (NSValue*) valueFromString: (NSString*)string;
Availability: Not in OpenStep/MacOS-X
Parses string as a `double`, `int`, or `unsigned int` depending on what characters are present. Uses `atof` and `atoi` which don't report errors, so be careful if the string might contain an invalid value.

Up